%define release 1mdk
%define version 0.2
%define name gpstree

Summary:	Shows the process tree in an X window.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Monitoring
URL:		http://www.sudac.org/~napolium/linux
Copyright:	GPL
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildRoot

%description
  Shows the process tree an X window
  and allows you to kill a misbehaving process.

%prep
rm -rf $RPM_BUILD_ROOT


%setup -D -n %name


%build
%make

%install
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin
cp gpstree ${RPM_BUILD_ROOT}%{_prefix}/X11R6/bin

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(gpstree):\
command="/usr/X11R6/bin/gpstree"\
title="Gpstree"\
longtitle="Display processes"\
needs="x11"\
section="Applications/Monitoring"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}  

%clean
rm -rf ${RPM_BUILD_ROOT}/

%files
%defattr(-,root,root,755)
%doc README
%{_prefix}/X11R6/bin/gpstree
%{_libdir}/menu/*


%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.2-1mdk 
- updated to 0.2
- remove patch

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-3mdk
- add menu

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.1-2mdk
- BM

* Mon Jun 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-1mdk
- new in contribs
- used sprm provided by Max Heijndijk <cchq@wanadoo.nl>
